Skip to main content
`Ctrl`+`K`

# Sky2Pix_BonneEqualArea

class astropy.modeling.projections.Sky2Pix_BonneEqualArea(*args, **kwargs)

  Bases: `Sky2PixProjection`, `PseudoConic`

  Bonne’s equal area pseudoconic projection - sky to pixel.

  Corresponds to the `BON` projection in FITS WCS.

  \[\begin{split}x &= R_\theta \sin A_\phi \\ y &= -R_\theta \cos A_\phi + Y_0\end{split}\]

  where:

  \[\begin{split}A_\phi &= \frac{180^\circ}{\pi R_\theta} \phi \cos \theta \\ R_\theta &= Y_0 - \theta \\ Y_0 &= \frac{180^\circ}{\pi} \cot \theta_1 + \theta_1\end{split}\]
  Parameters:
    theta1 `python:float`

      Bonne conformal latitude, in degrees.

  Attributes Summary

  `param_names` | Names of the parameters that describe models of this type.
  `theta1` |

  Attributes Documentation

  param_names = ('theta1',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  theta1 = _ParameterDS('theta1', value=0.0)